NonstandardSwaption::arguments Class Reference

Arguments for nonstandard swaption calculation More...

`#include <ql/instruments/nonstandardswaption.hpp>`

Inheritance diagram for NonstandardSwaption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from NonstandardSwap::arguments
void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

boost::shared_ptr< NonstandardSwap > | swap
Settlement::Type | settlementType
Public Attributes inherited from NonstandardSwap::arguments
VanillaSwap::Type | type
std::vector< Real > | fixedNominal
std::vector< Real > | floatingNominal
std::vector< Date > | fixedResetDates
std::vector< Date > | fixedPayDates
std::vector< Time > | floatingAccrualTimes
std::vector< Date > | floatingResetDates
std::vector< Date > | floatingFixingDates
std::vector< Date > | floatingPayDates
std::vector< Real > | fixedCoupons
std::vector< Real > | fixedRate
std::vector< Spread > | floatingSpreads
std::vector< Real > | floatingGearings
std::vector< Real > | floatingCoupons
boost::shared_ptr< IborIndex > | iborIndex
std::vector< bool > | fixedIsRedemptionFlow
std::vector< bool > | floatingIsRedemptionFlow
Public Attributes inherited from Option::arguments
boost::shared_ptr< Payoff > | payoff
boost::shared_ptr< Exercise > | exercise

## Detailed Description

Arguments for nonstandard swaption calculation